İçeriğe geç

Kling Video · v2.5 Turbo · Pro · Image to Video

Entegre et

Model kimliği kling-video/v2.5-turbo/pro/image-to-video
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/kling-video/v2.5-turbo/pro/image-to-video?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field",
    "image": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

Bu istek: $0,35 350 API kredisi Bu sayfada çalıştır

API anahtarı al
Kling Görselden Videoya Hızlı5–10 s #stylized#transform

İsteğe bağlı bitiş görüntüsü ve CFG kontrolü içeren v2.5 Turbo Pro görüntüden videoya, 5 veya 10 s

Doitong'ta oluşturuldu

Doitong topluluğunun Kling Video v25 ile oluşturduğu herkese açık çalışmalar. Bir istemi tek tıklamayla yeniden kullanın.

Gösterilen herkese açık çalışma sayısı: 16
**Duration: 4 seconds | Aspect ratio: 16:9 | Children's YouTube Intro | Video with Audio** Animat... Video

**Duration: 4 seconds | Aspect ratio: 16:9 | Children's YouTube Intro | Video with Audio** Animate the provided image into a bright, magical, energetic, professional YouTube intro for a children's entertainment channel, with perfectly synchronized sound effects, cheerful music, and a cute child's...

**Duration: 4 seconds | Aspect ratio: 16:9 | Children's YouTube Intro | Video with Audio** Animat... Video

**Duration: 4 seconds | Aspect ratio: 16:9 | Children's YouTube Intro | Video with Audio** Animate the provided image into a bright, magical, energetic, professional YouTube intro for a children's entertainment channel, with perfectly synchronized sound effects, cheerful music, and a cute child's...

**Duration: 4 seconds | Aspect ratio: 16:9 | Children's YouTube Intro | Video with Audio** Animat... Video

**Duration: 4 seconds | Aspect ratio: 16:9 | Children's YouTube Intro | Video with Audio** Animate the provided image into a bright, magical, energetic, professional YouTube intro for a children's entertainment channel, with perfectly synchronized sound effects, cheerful music, and a cute child's...

**Duration: 5 seconds | Aspect ratio: 16:9 | Children's YouTube Intro | Video with Audio** Animat... Video

**Duration: 5 seconds | Aspect ratio: 16:9 | Children's YouTube Intro | Video with Audio** Animate the provided image into a bright, magical, energetic, professional YouTube intro for a children's entertainment channel, with perfectly synchronized sound effects, cheerful music, and a cute child's...

Моя первая глобальная цель — 10.000 подписчиков. Я хочу расти вместе с вами, делать сериалы ещё к... Video

Моя первая глобальная цель — 10.000 подписчиков. Я хочу расти вместе с вами, делать сериалы ещё круче, масштабнее и в итоге превратить это в полноценный проект, чтобы в дальнейшем монетизировать свой блог. Путь к первой десятке объявляю открытым. Идём со мной? Мне нужно такое видео в трёх кадрах...

Оживи старую чёрно-белую свадебную фотографию. Молодожёны стоят рядом друг с другом. Жених нежно ... Video

Оживи старую чёрно-белую свадебную фотографию. Молодожёны стоят рядом друг с другом. Жених нежно и с любовью смотрит на невесту, слегка улыбается и бережно касается её руки. Невеста мягко улыбается, немного поворачивает голову к жениху и смотрит на него с теплотой. Их движения естественные,...

The woman in the reference photo smiles naturally at the camera. Golden magical sparks begin swir... Video

The woman in the reference photo smiles naturally at the camera. Golden magical sparks begin swirling around her body. Her eyes briefly glow with warm golden light. A beautiful black witch hat appears on her head, and her clothes magically transform into an elegant black-and-gold witch costume...

Кролик открывает дверь девушке, девушка дает чаевые кролику и говорит « спасибо, мой ушастый друг... Video

Кролик открывает дверь девушке, девушка дает чаевые кролику и говорит « спасибо, мой ушастый друг», он закрывает за ней дверь и говорит «Пожалуйста, красотка» после того как она села в машину за руль, кролик немного отходит, девушка в дрифте уезжает, все в одной сцене. Съемка кинематографичная....

İstek oluştur

Kontroller model şemasından oluşturulur. Değerleri değiştirdikçe kod ve fiyat güncellenir.

•gerekli 88 / 2500
•gerekli image_url
Dosyayı bırakın veya

Video üretiminde kullanılan görsele işaret eden URL.

duration 5 s

Saniye cinsinden ölçülen çıktı video uzunluğu.

Gelişmiş negative_prompt · end_image · cfg_scale · enable_safety_checker
0 / 2500
tail_image_url
Dosyayı bırakın veya

Videonun nasıl sona ereceğini tanımlamak için son kare görselini URL ile sağlayın.

varsayılan 0.5

Classifier Free Guidance kısaltması olan CFG'yi kullanarak üretimin isteminizi ne ölçüde izleyeceğini ayarlayın.

POST /run/kling-video/v2.5-turbo/pro/image-to-video?wait=20 fiyat → $0,35
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/kling-video/v2.5-turbo/pro/image-to-video?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field",
    "image": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

Bu isteği çalıştır

Anahtarınız bu tarayıcıda kalır: yalnızca Doitong API'ye gönderilir ve yalnızca Hatırla seçeneğini işaretlerseniz localStorage'a kaydedilir. API anahtarı al

Kling Video · v2.5 Turbo · Pro · Image to Video hakkında

Tek bir görseli (`image_url`) ve en fazla 2500 karakterlik bir istemi 5 veya 10 saniyelik videoya dönüştürür. İsteğe bağlı `tail_image_url` son kareyi belirler. `cfg_scale` 0 ile 1 arasındadır ve `negative_prompt` desteklenir. Bu, v2.5 Turbo'nun Pro düzeyidir.

Parametreler

Kanonik adı veya yerel adı gönderin; ikisini birden göndermeyin. Kanonik adlar

AdTür Varsayılanİzin verilen Açıklama
enable_safety_checkeristeğe bağlı
Türboolean
Varsayılantrue
Güvenlik kontrolleri yalnızca hesap yetkilendirmesiyle devre dışı bırakılabilir; yetkilendirme içermeyen istekler her zaman kontrolden geçirilir.
promptgerekli
Türstring
≤ 2.500 karakter
image_urlgerekli image
Türurl · image
Video üretiminde kullanılan görsele işaret eden URL.
durationisteğe bağlı
Türenum
Varsayılan5
510
Saniye cinsinden ölçülen çıktı video uzunluğu.
negative_promptisteğe bağlı
Türstring
Varsayılanblur, distort, and low quality
≤ 2.500 karakter
cfg_scaleisteğe bağlı
Türnumber
Varsayılan0.5
0 – 1
Classifier Free Guidance kısaltması olan CFG'yi kullanarak üretimin isteminizi ne ölçüde izleyeceğini ayarlayın.
tail_image_urlisteğe bağlı end_image
Türurl · image
Videonun nasıl sona ereceğini tanımlamak için son kare görselini URL ile sağlayın.
gerekli Kanonik ad, bu ad da kabul edilir

Dosya parametreleri herkese açık bir https:// URL'si, 10 MB'a kadar bir data: URI'si veya yüklenen bir dosyanın file_url değerini kabul eder. Dosyalar

Çıktı

GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "kling-video/v2.5-turbo/pro/image-to-video",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 350,
    "usd": "0.35",
    "charged": 350,
    "refunded": 0
  },
  "input": {
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field",
    "image_url": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
  },
  "output": {
    "video": {
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp4",
      "content_type": "video/mp4",
      "file_name": "0-output.mp4",
      "file_size": 1843200
    }
  },
  "outputs": [
    {
      "type": "video",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp4",
      "content_type": "video/mp4",
      "file_size": 1843200,
      "width": 1280,
      "height": 720,
      "duration": 5,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
Dosyalarınız, seçiminizHer outputs[].url, depolamamızdaki bir kopyadır: sonsuza kadar (GB-ay başına ücretli) veya ücretsiz olarak 7 gün boyunca, hesap ayarınızla ya da ?storage= ile saklanır.
Her modelde aynı yapıGörüntüler, video ve ses için type, url, content_type, width, height ve duration aynıdır. output, modelin kendi sonuç nesnesidir.
Çıktı alanları
video
object {url, content_type, file_name, file_size}Model tarafından üretilen video.

Daha fazla model: Görselden Videoya

AI aracıları için: bu sayfanın Markdown biçimi şurada: https://doitong.com/tr/developers/models/kling-video/v2.5-turbo/pro/image-to-video.md. Tüm modeller ve kılavuzlar: https://doitong.com/developers/llms.txt